<?
 /*SCRIPT PARA MANTENIMIENTO DE PREGUNTAS DIRECTAS */
 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/
  include("../fnc.php");
  enlinea_c();

  if(!$tipo_trn){
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }

  switch($tipo_trn){
   case "Add":

   if($txtpregunta==""){
     alert("ERROR: Debe ingresar una pregunta","javascript:history.go(-1)");
   }

   if($txtcorrecta==""){
     alert("ERROR: La respuesta correcta no puede estar vacía","javascript:history.go(-1)");
   }

   $id_ev=dec($ide);
   $txtcorrecta=del_tildes($txtcorrecta);
   if(!$txtcontiempo){$txtcontiempo="N";}
   if(!$txtminutos){$txtminutos=0;}
   if(!$txtsegundos){$txtsegundos=0;}

   $sql="insert into ev_d_preguntas (pregunta, valor, evaluacion, con_tiempo, minutos, segundos, fecha)
                     values ('$txtpregunta',$txtvalor,$id_ev,'$txtcontiempo',$txtminutos, $txtsegundos,'$fechahora')";

   $ins=mysql_query($sql);
   $id_pr=mysql_insert_id();

   // AGREGAR LAS OPCIONES DE LA PREGUNTA

      if($txtcorrecta!=""){
      $sql="insert into ev_d_opciones (pregunta, opcion, correcta) values ('$id_pr','$txtcorrecta','S')";
      //echo $sql."<br>";
      $insop=mysql_query($sql);
      }
     //     mensaje y redireccion a pagina de preguntas
     //redireccionar("index2.php?op=frm_preguntas_evaluacion&ide=$ide&msg=Pregunta agregada!");
     redireccionar("index2.php?op=frm_info_prg&ide=$ide&msg=Pregunta agregada!");
   break;

   case "Update":
   if($txtpregunta==""){
     alert("ERROR: Debe ingresar una pregunta","javascript:history.go(-1)");
   }

   if($txtcorrecta==""){
     alert("ERROR: La respuesta correcta no puede estar vacía","javascript:history.go(-1)");
   }

   $id_ev=dec($ide);
   $id_pr=dec($pid);
   $txtcorrecta=del_tildes($txtcorrecta);

   if(!$txtcontiempo){$txtcontiempo="N";}
   if(!$txtminutos){$txtminutos=0;}
   if(!$txtsegundos){$txtsegundos=0;}

   $sql="update ev_d_preguntas
         set pregunta='$txtpregunta',
         valor='$txtvalor',
         evaluacion='$id_ev',
         con_tiempo='$txtcontiempo',
         minutos='$txtminutos',
         segundos='$txtsegundos'
         where id = $id_pr";

   $upd=mysql_query($sql);

   // AGREGAR LAS OPCIONES DE LA PREGUNTA
    $qdel_op=mysql_query("delete from ev_d_opciones where pregunta = $id_pr");

      if($txtcorrecta!=""){
      $sql="insert into ev_d_opciones (pregunta, opcion, correcta) values ('$id_pr','$txtcorrecta','S')";
      //echo $sql."<br>";
      $insop=mysql_query($sql);
      }


     //     mensaje y redireccion a pagina de preguntas
     redireccionar("index2.php?op=frm_preguntas_evaluacion&ide=$ide&msg=Pregunta actualizada!");

   break;


   default:
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }
?>
